Page MenuHomePhabricator

Audit team practices for ArchCom
Closed, ResolvedPublic

Description

TechCom has a number of web pages and a number of routines that the group performs on a weekly basis. These include:

  • Private video call
  • Public IRC meeting

We believe that members of ArchCom should budget roughly 20% of their time fulfilling architectural leadership goals. Furthermore, I continue to treat facilitation as my primary responsibility (especially since @Spage no longer has the ability to provide facilitation assistance). Since WMF is making a substantial investment in this area (involving significant time and effort of very senior engineering staff), we should make the best use of this investment.

A number of the habits we have could likely be made more effective and/or more efficient. I would welcome collaboration with Team-Practices on this. I have a number of scattered/disorganized checklists describing our groups habits and routine responsibilities, but I'd like to document this somewhere (e.g. mw:Architecture committee/Team practices). The goal of this task:

  • Build a wiki page which documents the ongoing responsibilities (e.g. routines and habits) expected from TechCom and the supporting members
  • Identify areas that can be improved, and plan for implementing the improvements (in collaboration with TechCom)

Event Timeline

RobLa-WMF claimed this task.
RobLa-WMF raised the priority of this task from to Medium.
RobLa-WMF updated the task description. (Show Details)
RobLa-WMF added a project: TechCom.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 29 2016, 4:15 PM
RobLa-WMF raised the priority of this task from Medium to High.Feb 11 2016, 11:57 PM

@DStrine and @KLans_WMF, thanks for meeting with me on Friday! As I alluded to in that conversation, I could use some help on this task in particular, specifically with an update to [[mw:Architecture committee/Team practices]]. Is that something that TPG can help out with?

RobLa-WMF moved this task from Inbox to Administrivia on the TechCom board.Mar 17 2016, 9:45 PM

I'm not sure this one will ever be "done", but I'm going to leave this open for a while longer while I'm getting advice from @ksmith on this topic. I'm hoping we can iteritively improve the mw.org Architecture_committee/Team_practices page over the coming quarter as we codify the (hopefully improved) routines of TechCom.

RobLa-WMF closed this task as Resolved.Jul 12 2016, 12:46 AM

Many changes over the course of the quarter.

I'm going to close this task, but I'm happy to have continued conversation on this topic at Z425 and/or on the wikitech-l mailing list and/or appropriate mediawiki.org talk page (or wherever is appropriate for the topic).